org.springframework.ldap.query

## Interface ConditionCriteria

-     public interface ConditionCriteria

  Constructs a conditional LDAP filter based on the attribute specified in the previous builder step.
  Since:
    2.0
  Author:
    Mattias Hellborg Arthursson
  See Also:
    `LdapQueryBuilder.where(String)`, `ContainerCriteria.and(String)`, `ContainerCriteria.or(String)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerCriteria` | `gte(String value)` Appends an `GreaterThanOrEqualsFilter`.
    `ContainerCriteria` | `is(String value)` Appends an `EqualsFilter`.
    `ContainerCriteria` | `isPresent()` Appends a `PresentFilter`.
    `ContainerCriteria` | `like(String value)` Appends a `LikeFilter`.
    `ContainerCriteria` | `lte(String value)` Appends a `LessThanOrEqualsFilter`.
    `ConditionCriteria` | `not()` Negates the currently constructed operation.
    `ContainerCriteria` | `whitespaceWildcardsLike(String value)` Appends a `WhitespaceWildcardsFilter`.

- - ### Method Detail

    - #### is

          ContainerCriteria is(String value)

      Appends an `EqualsFilter`.
      Parameters:
        `value` - the value to compare with.
      Returns:
        an ContainerCriteria instance that can be used to continue append more criteria or as the LdapQuery instance to be used as instance to e.g. `LdapOperations.search(LdapQuery, org.springframework.ldap.core.ContextMapper)`.
      See Also:
        `EqualsFilter`

    - #### gte

          ContainerCriteria gte(String value)

      Appends an `GreaterThanOrEqualsFilter`.
      Parameters:
        `value` - the value to compare with.
      Returns:
        an ContainerCriteria instance that can be used to continue append more criteria or as the LdapQuery instance to be used as instance to e.g. `LdapOperations.search(LdapQuery, org.springframework.ldap.core.ContextMapper)`.
      See Also:
        `GreaterThanOrEqualsFilter`

    - #### lte

          ContainerCriteria lte(String value)

      Appends a `LessThanOrEqualsFilter`.
      Parameters:
        `value` - the value to compare with.
      Returns:
        an ContainerCriteria instance that can be used to continue append more criteria or as the LdapQuery instance to be used as instance to e.g. `LdapOperations.search(LdapQuery, org.springframework.ldap.core.ContextMapper)`.
      See Also:
        `LessThanOrEqualsFilter`

    - #### like

          ContainerCriteria like(String value)

      Appends a `LikeFilter`.
      Parameters:
        `value` - the value to compare with.
      Returns:
        an ContainerCriteria instance that can be used to continue append more criteria or as the LdapQuery instance to be used as instance to e.g. `LdapOperations.search(LdapQuery, org.springframework.ldap.core.ContextMapper)`.
      See Also:
        `LikeFilter`

    - #### whitespaceWildcardsLike

          ContainerCriteria whitespaceWildcardsLike(String value)

      Appends a `WhitespaceWildcardsFilter`.
      Parameters:
        `value` - the value to compare with.
      Returns:
        an ContainerCriteria instance that can be used to continue append more criteria or as the LdapQuery instance to be used as instance to e.g. `LdapOperations.search(LdapQuery, org.springframework.ldap.core.ContextMapper)`.
      See Also:
        `WhitespaceWildcardsFilter`

    - #### isPresent

          ContainerCriteria isPresent()

      Appends a `PresentFilter`.
      Returns:
        an ContainerCriteria instance that can be used to continue append more criteria or as the LdapQuery instance to be used as instance to e.g. `LdapOperations.search(LdapQuery, org.springframework.ldap.core.ContextMapper)`.
      See Also:
        `PresentFilter`

    - #### not

          ConditionCriteria not()

      Negates the currently constructed operation. In effect this means that the resulting filter will be wrapped in a `NotFilter`.
      Returns:
        an ContainerCriteria instance that can be used to continue append more criteria or as the LdapQuery instance to be used as instance to e.g. `LdapOperations.search(LdapQuery, org.springframework.ldap.core.ContextMapper)`.
      See Also:
        `NotFilter`